pydo.monitoring.create_destination()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.monitoring.create_destination(
body={
"name": "managed_opensearch_cluster",
"type": "opensearch_dbaas",
"config": {...},
},
)Description
To create a new destination, send a POST request to /v2/monitoring/sinks/destinations.
Parameters
namestring optionalExample:
managed_opensearch_clusterdestination name
typestring requiredThe destination type.
opensearch_dbaasfor a DigitalOcean managed OpenSearch
cluster oropensearch_extfor an externally managed one.configobject requiredShow child properties
credentialsobject optionalCredentials for an OpenSearch cluster user. Optional if
cluster_uuidis passed.Show child properties
usernamestring optionalExample:
usernamepasswordstring optionalExample:
password
endpointstring requiredExample:
example.comhost of the OpenSearch cluster
cluster_uuidstring optionalExample:
85148069-7e35-4999-80bd-6fa1637ca385A unique identifier for a managed OpenSearch cluster.
cluster_namestring optionalExample:
managed_dbaas_clusterName of a managed OpenSearch cluster.
index_namestring optionalExample:
logsOpenSearch index to send logs to.
retention_daysinteger optionalExample:
14Number of days to retain logs in an OpenSearch cluster.
Request Sample
Response Example
More Information
See /v2/monitoring/sinks/destinations in the API reference for additional detail on responses, headers, parameters, and more.